: Class FClient

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FreeClient
Class FClient

    java.lang.Object
      |
      +--FreeClient.FClient

public class FClient
extends java.lang.Object

FClient Class initialises and starts the FreeClient software.

Version:
  0.8 28 October 2001
Author:
  Jason Kitcat, Rajagopal C.V

Field Summary
`protected static boolean` | `carryOn`
`protected static Comms` | `comms`
`protected static java.lang.String` | `country`
`protected static java.util.Locale` | `currentLocale`
`protected static boolean` | `ercheck`
`protected static VoteFrame` | `frame`
`protected static FCFrame2` | `frame2`
`protected static FCFrame3` | `frame3`
`protected static FCFrame4` | `frame4`
`protected static java.lang.String` | `language`
`protected static java.util.ResourceBundle` | `messages`
`protected static int` | `number_of_choices`
`protected static long` | `timeOutTime`
`protected static java.lang.String` | `vote_system` defines the voting system
`protected static java.lang.String` | `write_in`

Constructor Summary
`protected` | `FClient()` FClient() is the constructor which creates all the AWT frames and launches the splash screen.

Method Summary
`protected static boolean` | `isSafe(java.lang.String input)` checks String input to make sure it only contains safe characters.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### language

    protected static java.lang.String language

### country

    protected static java.lang.String country

### vote_system

    protected static final java.lang.String vote_system

  defines the voting system

### number_of_choices

    protected static final int number_of_choices

### write_in

    protected static final java.lang.String write_in

### timeOutTime

    protected static final long timeOutTime

### ercheck

    protected static boolean ercheck

### carryOn

    protected static boolean carryOn

### currentLocale

    protected static java.util.Locale currentLocale

### messages

    protected static java.util.ResourceBundle messages

### frame

    protected static VoteFrame frame

### frame2

    protected static FCFrame2 frame2

### frame3

    protected static FCFrame3 frame3

### frame4

    protected static FCFrame4 frame4

### comms

    protected static Comms comms

Constructor Detail

### FClient

    protected FClient()

  FClient() is the constructor which creates all the AWT frames and launches the splash screen.

Method Detail

### main

    public static void main(java.lang.String[] args)

### isSafe

    protected static boolean isSafe(java.lang.String input)

  checks String input to make sure it only contains safe characters. It's not pretty but regular expression packages tried all were far too slow. [Adapted from dbase one in servers]
  Parameters:
    `input` - The String to check
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD